Subject: Ftp-WG: ANN: Invention to increase FTP upload times on high bandwidth, high latency connections by 400%

From: "Fastream Technologies" <[email-masked]>
Date: Tue, 6 Jan 2004 10:28:39

Hello,

I welcomed your comments on our strategy and product. I am sorry if you have
felt insulted. All I tried to do is to announce my implemented
invention/product to people who are known to be interested in FTP. I also
got people asking for more information therefore by putting the "ANN:", not
only did I not intended to insult anyone not interested but also I proved my
intent to gather the interest of some very interested people.

Regards,

G. I. Ates
CEO, Fastream Technologies
Content Delivery and Management Experts
www.fastream.com
[email-masked]

----- Original Message ----- 
From: "Alun Jones" <[email-masked]>
To: "'FTPEXT Working Group'" <[email-masked]>
Sent: Tuesday, January 06, 2004 8:47 AM
Subject: Ftp-WG: ANN: Invention to increase FTP upload times on high
bandwidth, high latency connections by 400%

> > -----Original Message-----
> > From: ftp-wg-owner [mailto:[email-masked]] On
> > Behalf Of Fastream Technologies
> > Sent: Tuesday, January 06, 2004 6:01 AM
> > I did not think it was pure advertisement as could be
> > considered more as an
> > announcement (see the subject).
>
> You were trolling for buyers for a scheme that you're planning on
patenting.
> That's seriously counter to the purpose of the discussion here, which is
to
> provide _open_ extensions to the FTP standard.  This is _not_ a "general
> purpose FTP developers' group", and even if it were, I suspect your
messages
> would still not be received well.
>
> > I think your method is similar to ours but our invention
> > includes many more
> > details and enhancements.
>
> I suggest you make this information known to your patent lawyers - they
may
> tell you that this is evidence of "prior art" as well as "obviousness".
> Obviously, there are more details to go into, but it's quite simple to use
> multiple streams to create multiple files, then use a proxy transfer
method
> along with the APPE or REST commands to merge them together.  If all
you're
> adding is details, then you don't have anything to patent.
>
> > We first had to develop a C++
> > program to do a
> > quick transfer and then came up with the idea to apply to the
> > patent office.
>
> Why not - they patent plenty of obvious things on a day to day basis.  The
> patent office is too lazy to spot what's obvious, they prefer to have
people
> spend lots of money on lawsuits defending the obvious.  Are you looking
> forward to the day that, say, Microsoft decides to implement this?  Do you
> have the pockets to defend your patent, given that it's clear that others
> have previously had the same idea, and view it as "obvious"?
>
> What next, you're going to claim that you've "invented" the idea of
throwing
> more than one command down the FTP control connection pipe at a time?
>
> > None of the patents we researched have used the same idea and
> > there was no
> > such public information.
>
> Published information is generally for non-obvious things.  Most
developers
> who come up with this sort of idea are ethical enough to realise that it's
> an abuse of the server's bandwidth and processor time.  [Note, also, that
> it's liable to break on most secured servers, since they don't accept
> transfers from anyone but the client.]
>
> > We will also provide full support and source code (Borland C++ Builder
> > Implementation with 100Mbps performance on a CPU AMD P2000) to the
> > prospective licensors/buyers.
>
> Big whoop.  If your implementation is any good, you'll be able to make
money
> selling that - since all you're doing is RFC-compliant FTP operations, I
> personally find it very offensive that you step into a group designed for
> discussing open extensions, and declare that you're about to define a
series
> of those operations as closed.  The only thing you didn't do that would
piss
> the list members off further was to give a price list.
>
> You're insulting us.  Go away.
>
> Alun Jones, MS MVP (Windows SDK / Security)
> President, Texas Imperial Software
> -- 
> Texas Imperial Software   | Find us at http://www.wftpd.com or email
> 1602 Harvest Moon Place   | [email-masked].
> Cedar Park TX 78613-1419  | WFTPD, WFTPD Pro are Windows FTP servers.
> Fax/Voice +1(512)258-9858 | Try our NEW client software, WFTPD Explorer.
>
>
>
>
>
>